<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_18</title>
</head>
<body>
    <h1>Ejercicio 18</h1>

    <script>   
    const promedioNotas = () => {
        let numApro = 0,
         numDesapro = 0,
               apro = 0,
            desapro = 0,
          totalNota = 0,
          promNotas = 0,
           promApro = 0,
           promDesa = 0;

        for (var i = 1; i < 6; i++) {
            var calif = prompt(`Ingrese la nota de la materia ${i}`),
            nota = Number.parseInt(calif);
            totalNota = totalNota + nota;
            if ( nota > 5 ){
                numApro ++;
                apro = apro + nota;
            } else {
                numDesapro ++;
                desapro = desapro +  nota; 
            }    
        }
        promNotas = totalNota / 5;
        promApro  = apro / numApro;
        promDesa  = desapro / numDesapro; 
        console.log(`Notas desaprobadas: ${numDesapro}, Notas aprobadas: ${numApro}, 
        Promedio Total: ${promNotas}, Promedio de aprobadas: ${promApro}, Promedio de desaprobadas: ${promDesa}`);
    }
promedioNotas();
    </script>
    
    
</body>
</html>